* {
  background: none;
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style: none;
  font-family: Arial, sans-serif;

}

.contenedorSectionCategoria {
  width: 97%;
  height: 80px;
  margin: auto;
  /* background: pink;*/
  background: rgb(249, 235, 235);
  border-top: 4px solid black;
  padding-top: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*Inicio contenedorSectionCatalogo.............................................................................*/

.contenedorSectionCatalogo {
  /*
    width: min(200px, 20vw);
    width: min(500px, 97%);
    width: max(500px, 97%);
    */
  margin: auto;
  width: 97%;
  min-height: 100px;
}

.divContainerProducto {
  /* background: pink;*/
  background: rgb(249, 235, 235);
  width: 100%;
  padding-top: 10px;
  padding-bottom: 10px;
}


.divContent-01 {
  /*width: 240px;*/
  margin: 5px;
  background: white;
  border-radius: 7px;
  border: 1px solid rgb(78, 44, 44);
}

.divContent-01:hover {
  background: lightcyan;
}

.divContInterno-02 {
  max-width: 240px;
  /* border: 1px solid rgb(78, 44, 44);*/
  border-radius: 7px;
  padding: 5px;
  /*background: white;*/
}

.divImgProducto-03 {
  max-width: 240px;
  max-height: 240px;
  /*background: greenyellow;*/
  border-radius: 7px 7px 0px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.imgProducto-04 {
  /* width: clamp(240px, auto, 240px);*/
  max-width: 230px;
  max-height: 230px;
  padding: 5px;
}

/*-------Contenedor Texto poducto------*/

.divContenedorTextoProducto {
  max-width: 240px;
  min-height: 321px;
  text-align: center;
  /* background-color: rgb(128, 219, 146);*/
  /*overflow: auto;*/
  border-radius: 0px 0px 7px 7px;
  padding: 5px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.h5-Text-01 {
  width: 100%;
  /*font-size: calc(.4vw + .7rem);*/
  font-size: 15px;
  font-weight: bolder;
  /*background: greenyellow;*/
  margin-bottom: 0;
  margin: 3px 0px 4px 0px;
  color: rgb(2, 94, 2);
  display: flex;
  justify-content: center;
  align-items: center;
}

.p-descripción-03 {
  display: block;
  width: 100%;
  height: auto;
  display: block;
  /* background: red;*/
  font-size: 12px;
  margin-bottom: 0;
  margin: 3px 0px 3px 0px;
  line-height: 15px;

  display: -webkit-box;
  /* Necesario para la propiedad de clamp */
  -webkit-box-orient: vertical;
  /* Necesario para la propiedad de clamp */
  -webkit-line-clamp: 3;
  /* Limita a 2 líneas */
  overflow: hidden;
  text-overflow: ellipsis;
  /* Solo para visualización */

  /*Par sacar los tres puntps de un texto grande
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    /*Par sacar los tres puntps de un texto grande*/
}

.divEstrellas {
  width: 100%;
  height: auto;
  /* background: rgb(51, 153, 139);*/
  /*margin: 3px 0px 3px 0px;*/
}

.p-precioOriginal {
  width: 100%;
  height: auto;
  text-decoration: line-through;
  /* background: rgb(86, 70, 168);*/
  color: rgb(165, 160, 160);
  font-size: 12px;
  margin-bottom: 0;
  margin: 0px 0px 3px 0px;

}

.div-contentNuevoPrecio {
  width: 100%;
  /*background: blue;*/
  display: flex;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
}

.span-nuevoPrecio {
  width: 100%;
  height: auto;
  /*background: rgb(70, 168, 127);*/
  /* margin: 3px 0px 3px 0px;*/
  display: flex;
  align-items: center;
  justify-content: center;
}

.spanOfertaPrecio {
  color: green;
  /*font-size: calc(.6vw + .5rem);*/
  font-size: 18px;
  font-weight: bold;
  margin-right: 10px;
}

.span-oferta {
  font-size: 10px;
  color: green;
}

.span-AprovechaDescuento {
  display: block;
  /* background-color: rgb(19, 72, 19);*/
  font-size: 12px;
  color: purple;
  margin: auto;
  padding: 0px 5px 0px 5px;
  border-radius: 5px;
  margin: 3px 0px 3px 0px;
  /*font-weight: bold;*/
}




.divComentarios {
  width: 100%;
  margin: 2px 0px 0px 0px;
}

.p-sinConComentarios {
  width: 100%;
  /* background: purple;*/
  margin-bottom: 0;
  display: flex;
  justify-content: center;

}

.div-productosDisponibles {
  width: 100%;
  /*background: orange;*/
  font-size: 11px;
  margin: 3px 0px 3px 0px;
}

.div-iconsMenosImputMas {
  /* background-color: aqua;*/
  width: 100%;
  margin: 5px 0px 5px 0px;
  display: flex;
  justify-content: center;

}

.btnMen {
  width: 27px;
  height: 27px;
  background: rgb(187, 35, 35);
  border-radius: 50%;
  border: 1px solid white;
  color: white;
  margin-right: 7px;
  display: flex;
  justify-content: center;
}

.btnMen:hover {
  background: red;
}

.inputContent {
  width: 35%;
  height: 27px;
  font-size: 14px;
  text-align: center;
  padding: 0%;
  background: white;
  border: 1px solid rgb(147, 134, 134);
  outline: none;
  border-radius: 7px;
}

.btnMa {
  width: 27px;
  height: 27px;
  background: rgb(187, 35, 35);
  border-radius: 50%;
  border: 1px solid white;
  color: white;
  margin-left: 7px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btnMa:hover {
  background: red;
}

.div-verDetalleComprar {
  width: 100%;
  margin: 5px 0px 5px 0px;
  /*background: yellowgreen;*/
  display: flex;
  justify-content: space-around;
}

.a-verDetalle {
  width: 80px;
  height: 25px;
  background: green;
  border: 1px solid white;
  border-radius: 7px;
  text-decoration: none;
  /* font-size: clamp(0.2rem, 1.8vw, .7rem);*/
  /*font-size: calc(.2vw + .6rem);*/
  font-size: 12px;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.a-verDetalle:hover {
  background: orange;
  color: black;
}

.btn-Comprar {
  width: 80px;
  height: 25px;
  background: green;
  border: 1px solid white;
  border-radius: 7px;
  font-size: 12px;
  color: white;
  /*font-size: calc(.3vw + .5rem);*/
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-Comprar:hover {
  background: red;
}

.span-cCsCduo {
  /*background: yellow;*/
  width: auto;
  font-size: 11px;
  color: red;
}

.cajaBackground {
  width: 97%;
  margin: 0 auto;
  background: rgb(249, 235, 235);
}

.cajaBackground01 {
  width: 97%;
  margin: 0 auto;
  background: rgb(249, 235, 235);
  padding-bottom: 15px;
}

@media (min-width: 0px) and (max-width: 550px) {

  .divContainerProducto {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

  .divContent-01 {
    width: 100%;
  }

  .divContInterno-02 {
    /*contenedor padre*/
    min-width: 100%;
    /*background: blue;*/
  }

  .divImgProducto-03 {
    min-width: 100%;
    /* background: red;*/
  }

  /*-------Contenedor Texto poducto------*/
  .divContenedorTextoProducto {
    min-width: 100%;
  }
}

@media (min-width: 550px) {
  .divContainerProducto {
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    flex-wrap: wrap;
  }

}